Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.teleal.cling.support.lastchange
Class EventedValueUnsignedIntegerTwoBytes

    java.lang.Object
      org.teleal.cling.support.lastchange.EventedValue<org.teleal.cling.model.types.UnsignedIntegerTwoBytes>
          org.teleal.cling.support.lastchange.EventedValueUnsignedIntegerTwoBytes

Direct Known Subclasses:
  RenderingControlVariable.BlueVideoBlackLevel, RenderingControlVariable.BlueVideoGain, RenderingControlVariable.Brightness, RenderingControlVariable.ColorTemperature, RenderingControlVariable.Contrast, RenderingControlVariable.GreenVideoBlackLevel, RenderingControlVariable.GreenVideoGain, RenderingControlVariable.RedVideoBlackLevel, RenderingControlVariable.RedVideoGain, RenderingControlVariable.Sharpness

    public class EventedValueUnsignedIntegerTwoBytes

extends EventedValue<org.teleal.cling.model.types.UnsignedIntegerTwoBytes>

Author:
  Christian Bauer

Field Summary

Fields inherited from class org.teleal.cling.support.lastchange.EventedValue
`value`

Constructor Summary
`EventedValueUnsignedIntegerTwoBytes(Map.Entry<String,String>[] attributes)`
`EventedValueUnsignedIntegerTwoBytes(org.teleal.cling.model.types.UnsignedIntegerTwoBytes value)`

Method Summary
`protected org.teleal.cling.model.types.Datatype` | `getDatatype()`

Methods inherited from class org.teleal.cling.support.lastchange.EventedValue
`getAttributes, getName, getValue, toString, valueOf, valueOf`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### EventedValueUnsignedIntegerTwoBytes

    public EventedValueUnsignedIntegerTwoBytes(org.teleal.cling.model.types.UnsignedIntegerTwoBytes value)

### EventedValueUnsignedIntegerTwoBytes

    public EventedValueUnsignedIntegerTwoBytes(Map.Entry<String,String>[] attributes)

Method Detail

### getDatatype

    protected org.teleal.cling.model.types.Datatype getDatatype()

  Specified by:
    `getDatatype` in class `EventedValue<org.teleal.cling.model.types.UnsignedIntegerTwoBytes>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011 Teleal GmbH, Switzerland. All Rights Reserved.